build.gradle sync errors

I have tried to build a number of Zebra provided source bundles and when I bring them into Android Studio I keep getting project sync errors. Can anyone point me to the error of my ways? Thanks!

Screen Shot 2017-04-13 at 4.11.42 PM.png

Anonymous (not verified)
Hi Adam,That's an interesting

Hi Adam,

That's an interesting error that I haven't seen before.  I can see you are running EMDK for Android 4 and with min SDK 19 but you are targeting SDK level 23 (Marshmallow).  EMDK for Android 4 does not support Marshmallow, is it possible to upgrade to EMDK 6.0? (EMDK for Android Downloads - Zebra Technologies Techdocs ) .

Looking around online, most responses to your error imply some gradle issue, are you using the most up to date gradle?  Or perhaps because the EMDK 4 is older there is some conflict with the newer gradle.

Vote: 
Vote up!
Vote down!

Points: 0

You voted ‘up’


CHARITHA MALLAW...
Hi Adam,in addition to Darryn

Hi Adam,

in addition to Darryn's info, you can try downloading the latest sample application which is made for Android Studio.

at the same time, if you are continuing with EMDK 4.0, you can compare your sample gradle files against this new sample gradle files.

Scan and Pair - Zebra Technologies Techdocs

Thanks,

Charith.

Vote: 
Vote up!
Vote down!

Points: 0

You voted ‘up’


Log in to post comments